Package Details: networkmanager-iwd-overlay 1.1-1

Git Clone URL: https://aur.archlinux.org/networkmanager-iwd-overlay.git (read-only, click to copy)
Package Base: networkmanager-iwd-overlay
Description: Configure NetworkManager to use iwd instead of wpa_supplicant
Upstream URL: https://wiki.gnome.org/Projects/NetworkManager
Licenses: GPL2, LGPL2.1
Provides: wpa_supplicant=0
Submitter: Prototik
Maintainer: Prototik
Last Packager: Prototik
Votes: 0
Popularity: 0.000000
First Submitted: 2020-03-14 14:27
Last Updated: 2020-08-11 17:54

Required by (36)

Sources (3)

Latest Comments

cherkaba commented on 2021-02-09 10:37

@Prototik thanks

Prototik commented on 2021-02-08 14:45

@cherkaba are you using networkmanager-iwd package from AUR? It causes that problems and not required for this overlay (that's purpose of overlay to keep default networkmanager, but force to use iwd).

Revert back to default NetworkManager (with something like pacman -Syu networkmanager libnm) and then install this package.

After that you can easily delete wpa_supplicant package if no one more uses it.

cherkaba commented on 2021-02-08 11:43

hi how to install this pkg?

but i still cannot install networkmanager-iwd =>

ppp=2.4.8 (Dépendances de: networkmanager-iwd -> libnm-iwd ppp=2.4.8 (Dépendances de: networkmanager-iwd)

i removed already ppp V2.4.7-7 to ppp-git V2.9.0 but the system do not take care about it! the same ppp Version issues

@+

CircleCode commented on 2020-08-11 13:58

There seems to be a bug in the PKGBUILD:

NM service is NetworkManager.service (with capital N and M`)

so there must be

install -Dm644 "$srcdir/50-iwd.conf" -t "$pkgdir/usr/lib/systemd/system/NetworkManager.service.d"

instead of

install -Dm644 "$srcdir/50-iwd.conf" -t "$pkgdir/usr/lib/systemd/system/networkmanager.service.d"

Prototik commented on 2020-03-14 14:30

Note after installing this package you can safely remove wpa_supplicant (if no other package uses it of course).